Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623922 - 8.3.4. Permissive Domains -- there are no *_disable_trans booleans in RHEL-6
8.3.4. Permissive Domains -- there are no *_disable_trans booleans in RHEL-6
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-SELinux_User_Guide (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Scott Radvan
ecs-bugs
: Documentation
Depends On:
Blocks: 547585
  Show dependency treegraph
 
Reported: 2010-08-13 03:06 EDT by Milos Malik
Modified: 2015-04-06 23:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 18:18:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2010-08-13 03:06:02 EDT
Description of problem:


Version-Release number of selected component (if applicable):
selinux-policy-mls-3.7.19-38.el6.noarch
selinux-policy-targeted-3.7.19-38.el6.noarch
selinux-policy-doc-3.7.19-38.el6.noarch
selinux-policy-3.7.19-38.el6.noarch
selinux-policy-minimum-3.7.19-38.el6.noarch

How reproducible:
always

Steps to Reproduce:
# 
  
Actual results:
In Red Hat Enterprise Linux 4, 5 and 6, domain_disable_trans Booleans are available to prevent an application from transitioning to a confined domain, and therefore, the process runs in an unconfined domain, such as initrc_t. Turning such Booleans on can cause major problems. For example, if the httpd_disable_trans Boolean is turned on:

Expected results:
In Red Hat Enterprise Linux 4 and 5, domain_disable_trans Booleans are available to prevent an application from transitioning to a confined domain, and therefore, the process runs in an unconfined domain, such as initrc_t. Turning such Booleans on can cause major problems. For example, if the httpd_disable_trans Boolean is turned on: 

Additional info:
To make some domain permissive in RHEL-6 we should use "semanage permissive -a ..."
Comment 2 Milos Malik 2010-08-13 03:52:14 EDT
Steps to Reproduce:

# rpm -qa selinux-policy\* | sort
selinux-policy-3.7.19-38.el6.noarch
selinux-policy-doc-3.7.19-38.el6.noarch
selinux-policy-minimum-3.7.19-38.el6.noarch
selinux-policy-mls-3.7.19-38.el6.noarch
selinux-policy-targeted-3.7.19-38.el6.noarch
# getsebool -a | wc -l
167
# getsebool -a | grep -i disable_trans
#
Comment 3 Scott Radvan 2010-08-15 21:50:28 EDT
fixed in 2.0-9 on doc-stage
Comment 4 Andrew Ross 2010-08-17 00:42:11 EDT
Verified: Red_Hat_Enterprise_Linux-Security-Enhanced_Linux-web-6-en-US-2.0.el5

"In Red Hat Enterprise Linux 4 and 5, domain_disable_trans "

"To make a domain permissive, run the semanage permissive -a domain command"

Note You need to log in before you can comment on or make changes to this bug.